package com.goafanti.common.dao;

import com.goafanti.common.model.TemporaryReceivables;
import com.goafanti.common.model.TemporaryReceivablesExample;
import com.goafanti.order.bo.TemporaryReceivablesBo;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Value;

public interface TemporaryReceivablesMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TemporaryReceivables record);

    int insertSelective(TemporaryReceivables record);

    TemporaryReceivables selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TemporaryReceivables record);

    int updateByPrimaryKey(TemporaryReceivables record);

    int deleteByids(List<?> ids);

    int deleteByaid(String aid);

    List<TemporaryReceivables> selectByaid(@Param("aid") String aid,@Param("mergeStatus") Integer mergeStatus);

    void deleteNormalByaid(@Param("aid") String aid,@Param("mergeStatus") Integer mergeStatus);



    void insertBatch(List<TemporaryReceivablesBo> list);

    void updateRepeatOrderNo(String aid);

    String  getCountlistReceivablesAmount(Map<String, Object> parameter);

    String getCountlistReceivablesTotalAmount(Map<String, Object> parameter);

    int selectReceivablesNumberRepeats(TemporaryReceivables tr);

    void waitngMerge(@Value("list") List<Integer> list);

}
